<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Proctor Valley Road</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Proctor-Valley-Road-4/digital-comic/945690</Web>
  <Summary>*  Plagued by day terrors and visions of a drenched woman, the girls search for answers about Proctor Valley Road at another haunted spot, the abandoned Haven Bakery.
*  Their inquiries into the spirit world will lead them to the local tribal reservation, but not before Rylee and August's feelings for the same boy threaten to tear the group apart...</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB945690], [ASINB095L379DQ]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Horror, Science Fiction</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
